# Class ExceptionUtils

java.lang.Object
org.apache.el.util.ExceptionUtils

public class ExceptionUtils extends Object
Utilities for handling Throwable and Exceptions.

## Constructor Summary

Constructors
Constructor
Description
`ExceptionUtils()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`handleThrowable(Throwable t)`
Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.
`static void`
`preload()`
NO-OP method provided to enable simple preloading of this class.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionUtils

public ExceptionUtils()
Default constructor. This class is not intended to be instantiated.

## Method Details

### handleThrowable

public static void handleThrowable(Throwable t)
Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.

Parameters:
  `t` - the Throwable to check

### preload

public static void preload()
NO-OP method provided to enable simple preloading of this class. Since the class is used extensively in error handling, it is prudent to preload it to avoid any failure to load this class masking the true problem during error handling.